net.minecraft.nbt

## Class NBTTagCompound

- java.lang.Object
- - net.minecraft.nbt.NBTBase
  - - net.minecraft.nbt.NBTTagCompound

-     public class NBTTagCompound
      extends NBTBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.nbt.NBTBase

      `NBTBase.NBTPrimitive`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.nbt.NBTBase

      `NBTTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTTagCompound()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTBase` | `copy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `java.util.Set` | `func_150296_c()`
    `byte` | `func_150299_b(java.lang.String p_150299_1_)`
    `boolean` | `getBoolean(java.lang.String par1Str)`
    `byte` | `getByte(java.lang.String par1Str)`
    `byte[]` | `getByteArray(java.lang.String par1Str)`
    `NBTTagCompound` | `getCompoundTag(java.lang.String par1Str)`
    `double` | `getDouble(java.lang.String par1Str)`
    `float` | `getFloat(java.lang.String par1Str)`
    `byte` | `getId()`
    `int[]` | `getIntArray(java.lang.String par1Str)`
    `int` | `getInteger(java.lang.String par1Str)`
    `long` | `getLong(java.lang.String par1Str)`
    `short` | `getShort(java.lang.String par1Str)`
    `java.lang.String` | `getString(java.lang.String par1Str)`
    `NBTBase` | `getTag(java.lang.String par1Str)`
    `NBTTagList` | `getTagList(java.lang.String p_150295_1_, int p_150295_2_)`
    `int` | `hashCode()`
    `boolean` | `hasKey(java.lang.String par1Str)`
    `boolean` | `hasKey(java.lang.String p_150297_1_, int p_150297_2_)`
    `boolean` | `hasNoTags()`
    `void` | `removeTag(java.lang.String par1Str)`
    `void` | `setBoolean(java.lang.String par1Str, boolean par2)`
    `void` | `setByte(java.lang.String par1Str, byte par2)`
    `void` | `setByteArray(java.lang.String par1Str, byte[] par2ArrayOfByte)`
    `void` | `setDouble(java.lang.String par1Str, double par2)`
    `void` | `setFloat(java.lang.String par1Str, float par2)`
    `void` | `setIntArray(java.lang.String par1Str, int[] par2ArrayOfInteger)`
    `void` | `setInteger(java.lang.String par1Str, int par2)`
    `void` | `setLong(java.lang.String par1Str, long par2)`
    `void` | `setShort(java.lang.String par1Str, short par2)`
    `void` | `setString(java.lang.String par1Str, java.lang.String par2Str)`
    `void` | `setTag(java.lang.String par1Str, NBTBase par2NBTBase)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.minecraft.nbt.NBTBase

      `func_150283_g, func_150284_a, func_150285_a_`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NBTTagCompound

          public NBTTagCompound()

  - ### Method Detail

    - #### func_150296_c

          public java.util.Set func_150296_c()

    - #### getId

          public byte getId()

      Specified by:
        `getId` in class `NBTBase`

    - #### setTag

          public void setTag(java.lang.String par1Str,
                    NBTBase par2NBTBase)

    - #### setByte

          public void setByte(java.lang.String par1Str,
                     byte par2)

    - #### setShort

          public void setShort(java.lang.String par1Str,
                      short par2)

    - #### setInteger

          public void setInteger(java.lang.String par1Str,
                        int par2)

    - #### setLong

          public void setLong(java.lang.String par1Str,
                     long par2)

    - #### setFloat

          public void setFloat(java.lang.String par1Str,
                      float par2)

    - #### setDouble

          public void setDouble(java.lang.String par1Str,
                       double par2)

    - #### setString

          public void setString(java.lang.String par1Str,
                       java.lang.String par2Str)

    - #### setByteArray

          public void setByteArray(java.lang.String par1Str,
                          byte[] par2ArrayOfByte)

    - #### setIntArray

          public void setIntArray(java.lang.String par1Str,
                         int[] par2ArrayOfInteger)

    - #### setBoolean

          public void setBoolean(java.lang.String par1Str,
                        boolean par2)

    - #### getTag

          public NBTBase getTag(java.lang.String par1Str)

    - #### func_150299_b

          public byte func_150299_b(java.lang.String p_150299_1_)

    - #### hasKey

          public boolean hasKey(java.lang.String par1Str)

    - #### hasKey

          public boolean hasKey(java.lang.String p_150297_1_,
                       int p_150297_2_)

    - #### getByte

          public byte getByte(java.lang.String par1Str)

    - #### getShort

          public short getShort(java.lang.String par1Str)

    - #### getInteger

          public int getInteger(java.lang.String par1Str)

    - #### getLong

          public long getLong(java.lang.String par1Str)

    - #### getFloat

          public float getFloat(java.lang.String par1Str)

    - #### getDouble

          public double getDouble(java.lang.String par1Str)

    - #### getString

          public java.lang.String getString(java.lang.String par1Str)

    - #### getByteArray

          public byte[] getByteArray(java.lang.String par1Str)

    - #### getIntArray

          public int[] getIntArray(java.lang.String par1Str)

    - #### getCompoundTag

          public NBTTagCompound getCompoundTag(java.lang.String par1Str)

    - #### getTagList

          public NBTTagList getTagList(java.lang.String p_150295_1_,
                              int p_150295_2_)

    - #### getBoolean

          public boolean getBoolean(java.lang.String par1Str)

    - #### removeTag

          public void removeTag(java.lang.String par1Str)

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `NBTBase`

    - #### hasNoTags

          public boolean hasNoTags()

    - #### copy

          public NBTBase copy()

      Specified by:
        `copy` in class `NBTBase`

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `NBTBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `NBTBase`